## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET
/
v2.0
/knowledgestores
/{knowledgeStoreId}
/descriptors

### Try it

Get Knowledge Connectors

### cURL

````
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/descriptors \
  --header 'X-API-Key: <api-key>'
````

### Python

````
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/descriptors"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
````

### JavaScript

````
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/descriptors', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
````

### PHP

````
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/descriptors",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
````

### Go

````
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/descriptors"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
````

### Error Responses

- **400**  Bad Request
- **401**  Unauthorized
- **402**  Payment Required
- **403**  Forbidden
- **404**  Not Found
- **405**  Method Not Allowed
- **409**  Conflict
- **413**  Payload Too Large
- **500**  Internal Server Error
- **501**  Not Implemented
- **502**  Bad Gateway
- **503**  Service Unavailable
- **504**  Gateway Timeout

### Authorizations

#### APIKeyHeaderAPIKeyQueryParamCXoneTokenHeaderOAuth2APIKeyHeaderAPIKeyQueryParamCXoneTokenHeaderOAuth2

**X-API-Key**

- Type: string
- Location: header
- Required: Supply the API Key in the HTTP-Header

#### Headers

**Accept**  
- Enum: string  
- Describes the media type that the client expects in the response.  
- Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Path Parameters

**knowledgeStoreId**  
- Type: string  
- Required: The Id of the KnowledgeStore  
- Required string length: `24`  
- Pattern: `^[a-z0-9]{24}$`

### Response

Returns an array of Knowledge Connector metadata objects.
